#! /usr/bin/env python2
# -*- coding: utf-8 -*-
"""
Replacement (unofficial) `setup.py` for the `stock_location` module.
Automatically generated by `openerpdist`. See http://noteed.com/openerpdist/.
"""

import setuptools

setuptools.setup(
    name = "openerp-stock-location",
    version = "7.0.355",
    description = "Advanced Routes",
    long_description = 
"""

This module supplements the Warehouse application by effectively implementing Push and Pull inventory flows.
============================================================================================================

Typically this could be used to:
--------------------------------
    * Manage product manufacturing chains
    * Manage default locations per product
    * Define routes within your warehouse according to business needs, such as:
        - Quality Control
        - After Sales Services
        - Supplier Returns

    * Help rental management, by generating automated return moves for rented products

Once this module is installed, an additional tab appear on the product form,
where you can add Push and Pull flow specifications. The demo data of CPU1
product for that push/pull :

Push flows:
-----------
Push flows are useful when the arrival of certain products in a given location
should always be followed by a corresponding move to another location, optionally
after a certain delay. The original Warehouse application already supports such
Push flow specifications on the Locations themselves, but these cannot be
refined per-product.

A push flow specification indicates which location is chained with which location,
and with what parameters. As soon as a given quantity of products is moved in the
source location, a chained move is automatically foreseen according to the
parameters set on the flow specification (destination location, delay, type of
move, journal). The new move can be automatically processed, or require a manual
confirmation, depending on the parameters.

Pull flows:
-----------
Pull flows are a bit different from Push flows, in the sense that they are not
related to the processing of product moves, but rather to the processing of
procurement orders. What is being pulled is a need, not directly products. A
classical example of Pull flow is when you have an Outlet company, with a parent
Company that is responsible for the supplies of the Outlet.

  [ Customer ] <- A - [ Outlet ]  <- B -  [ Holding ] <~ C ~ [ Supplier ]

When a new procurement order (A, coming from the confirmation of a Sale Order
for example) arrives in the Outlet, it is converted into another procurement
(B, via a Pull flow of type 'move') requested from the Holding. When procurement
order B is processed by the Holding company, and if the product is out of stock,
it can be converted into a Purchase Order (C) from the Supplier (Pull flow of
type Purchase). The result is that the procurement order, the need, is pushed
all the way between the Customer and Supplier.

Technically, Pull flows allow to process procurement orders differently, not
only depending on the product being considered, but also depending on which
location holds the 'need' for that product (i.e. the destination location of
that procurement order).

Use-Case:
---------

You can use the demo data as follow:
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
  **CPU1:** Sell some CPU1 from Chicago Shop and run the scheduler
     - Warehouse: delivery order, Chicago Shop: reception
  **CPU3:**
     - When receiving the product, it goes to Quality Control location then
       stored to shelf 2.
     - When delivering the customer: Pick List -> Packing -> Delivery Order from Gate A
    
""",
    url = "",
    author = "OpenERP SA",
    author_email = "TODO",
    classifiers = [
        "Development Status :: 5 - Production/Stable",
        "Environment :: Plugins",
        "Intended Audience :: Developers",
        "License :: OSI Approved :: GNU Affero General Public License v3",
        "Natural Language :: English",
        "Programming Language :: Python :: 2.7",
        "Programming Language :: Python :: Implementation :: CPython",
    ],
    license = "AGPL-3",
    package_dir = {
        'openerp.addons.stock_location': ".",
    },
    packages = ["openerp.addons.stock_location"],
    package_data = {
        'openerp.addons.stock_location': ["i18n/*.po*","stock_location_demo_cpu1.xml","procurement_pull_workflow.xml","stock_location_demo_cpu3.yml","stock_location_view.xml","images/pushed_flow.jpeg","images/pulled_flow.jpeg","i18n/id.po","i18n/hr.po","i18n/da.po","i18n/sl.po","i18n/es_MX.po","i18n/ru.po","i18n/zh_TW.po","i18n/cs.po","i18n/sq.po","i18n/fi.po","i18n/pt_BR.po","i18n/ko.po","i18n/bg.po","i18n/es_VE.po","i18n/tlh.po","i18n/ja.po","i18n/ro.po","i18n/es_AR.po","i18n/es.po","i18n/mn.po","i18n/es_CL.po","i18n/it.po","i18n/nl.po","i18n/sv.po","i18n/uk.po","i18n/bs.po","i18n/tr.po","i18n/de.po","i18n/et.po","i18n/lt.po","i18n/hu.po","i18n/vi.po","i18n/el.po","i18n/gl.po","i18n/lv.po","i18n/mk.po","i18n/ca.po","i18n/fr.po","i18n/zh_CN.po","i18n/pl.po","i18n/th.po","i18n/nl_BE.po","i18n/nb.po","i18n/ar.po","i18n/pt.po","i18n/es_CR.po","test/stock_location_push_flow.yml","test/stock_location_pull_flow.yml","security/ir.model.access.csv","security/stock_location_security.xml","stock_location_view.xml","security/stock_location_security.xml","security/ir.model.access.csv","procurement_pull_workflow.xml","stock_location_demo_cpu1.xml","stock_location_demo_cpu3.yml"],
    },
    install_requires = ["openerp-procurement","openerp-stock","openerp-sale"],
    tests_require = ["unittest2"],
)
